DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-04-19-Feedback-OsVersion';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=3780) THEN
			RETURN;
		END IF;


		BEGIN

 			ALTER TABLE public."Feedbacks" ADD "OsVersion"  character varying(500) NULL;
 			ALTER TABLE public."Feedbacks" ADD "License" character varying(500) NULL;
			insert into public."Versions" ("Path", "Build") values (_path, 0);

		EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE 'Alter table Feedbacks field OsVersion error.';
		END;
	END;
$$
